
# Monster pack for RuleSetf5EPlugin & Tools

Contains .Dnd5e files, spells and icons for use in the RuleSet5E Plugin.

- SRD Monsters Pack (325 files)
- Utility .Dnd5e  (2 files)
- SRD Spells (145 files)
- Icons (32 files)

## Change Log

```
1.1.0: Updated monsters for the new version of Ruleset5ePlugin, including attacks against skills (e.g. athletics, acrobatic). 
1.1.0: Generated new .spell files. 
1.1.0: Added new tools to generate and edit .Dnd5e and .Spell files.
1.0.5: Changed the structure of the folders to adapt it to the new version of 5eRuleset and added one icon.
1.0.4: Fixed an issue where some creatures were not properly receiving the expertise bonus to their skill checks and fixed errors on skill names
1.0.3: Fixed folders again
1.0.2: Fixed folders
1.0.1: Fixed one icon name
1.0.0: Initial release
```

## Install

If you download it manually:

Copy .Dnd5e files what do you want to use into "CustomData\Misc" folder.

Copy icon files into "CustomData\Images" folder.

Default folders location: %USERPROFILE%\AppData\Roaming\r2modmanPlus-local\TaleSpire\profiles\Default\BepInEx\plugins\LordAshes-RuleSet5EPlugin

## Usage

1. You only need to rename your minis in Talespire to the same name as the Dnd5e file.
2. To use the new icons, you must go to the RuleSet5EPlugin configuration file and in the option "Attack Icons Base On" set "futureUse_icon". 
3. Moreover, in order to use this option with files not in this Monster pack, you need incorporate a field called "futureUse_icon" in each attack with the name of the icon. (e. g. "futureUse_icon":"ex_SLASHING")
4. .spell files contains json information to add Attacks and DcAttacks into Dnd5e file characters.
5. Utility contains two files: Object.Dnd5e and GM.Dnd5e. The first one is a character whit object properties. The second one is a character that contains all posible damage types and rolls.
6. The files may have errors or abilities that are impossible to transcribe. It is recommended to check them before use.
7. RuleSetf5EPlugin loads the stats value from the DND5e file according to the stat name in talespire. (e.g. with this configuration all stats would be loaded: talespire://stat-names/AQAIAkFDBVNwZWVkB1NUUiBNb2QHREVYIE1vZAdDT04gTW9kB0lOVCBNb2QHV0lTIE1vZAdDSEEgTW9k)
## Tools
# Dnd5e converter (Ruleset5ePlugin)<p><sup>[Desktop app - Standalone tool]</sup></p> <h6>[Github Repository](https://github.com/xerjiomg/Dnd5eConverter-Ruleset5ePlugin)</h6><h6>[User Manual PDF](https://github.com/xerjiomg/Dnd5eConverter-Ruleset5ePlugin/releases/download/v1.0.0/Dnd5eConverter_Guide.pdf)</h6><h6>[Download](https://github.com/xerjiomg/Dnd5eConverter-Ruleset5ePlugin/releases)</h6>  
This is an unofficial tools for convert text files structured as in 5etools web page into Dnd5e files compatibles with [Rule Set 5e Plugin](https://talespire.thunderstore.io/package/LordAshes/RuleSet5EPlugin/)  for Talespire.
<img src="https://github.com/xerjiomg/Dnd5eConverter-Ruleset5ePlugin/releases/download/v1.0.0/Dnd5eConverter.png" width="400" height="280">

# Character Editor (Ruleset5ePlugin)<p><sup>[Desktop app - Standalone tool]</sup></p><h6>[Github Repository](https://github.com/xerjiomg/Character-Editor-RuleSet5EPlugin-)</h6> <h6>[Download](https://github.com/xerjiomg/Character-Editor-RuleSet5EPlugin-/releases)</h6>  
Basic program to edit Json format of Dnd5e files related to Ruleset5ePlugin.

<img src="https://github.com/xerjiomg/Character-Editor-RuleSet5EPlugin-/releases/download/v1.1.1/Character.Editor.jpg" width="400" height="250">

## Mentions
All new icons by Lorc under CC BY 3.0
Except: 
Gladius icon by Skoll under CC BY 3.0
Fangs icon by Skoll under CC BY 3.0
Flamer icon by sbed under CC BY 3.0
Crossbow iconby Carl Olsen under CC BY 3.0

















